eric ide

Issue28

Classification
Title: Ruby Shell "syntax error, unexpected $end"
Type: behavior Product: eric5
Process
Priority: high    
Status: closed Resolution: will not fix
Superseder: Nosy List: bdjnk, detlev
Assigned to: detlev Keywords:

Created on 2011-08-23.21:24:25 by bdjnk, last changed by detlev.

Files
File Name Uploaded Description Remove
DebugClientBaseModule.rb bdjnk, 2011-08-23.21:24:25 Found in /usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/
Messages (5.0)
msg99 (view) Author: bdjnk Date: 2011-08-25.17:11:05
Ok, it took me a bit but I got 1.8.7 compiled and set and sure enough it works fine.

I'm probably far less of a Ruby programmer than you. I installed Eric partly so
that I could play with it and learn. Hopefully you can find some help.
msg98 (view) Author: detlev Date: 2011-08-25.16:58:00
That could make a difference. Can you check, if it changes when you install Ruby
1.8.x? As I am no Ruby programmer (done the debugger about 5 years ago) I would
need some help.
msg97 (view) Author: bdjnk Date: 2011-08-25.16:51:46
$ ruby --version
ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]

$ uname -r
3.0-ARCH
msg96 (view) Author: detlev Date: 2011-08-25.16:41:43
It works ok for me for Ruby 1.8.7. What version do you have?
msg95 (view) Author: bdjnk Date: 2011-08-23.21:24:25
Eric Version: 5.1.4
When using the Shell pane context menu to start Ruby I get the following output
in said pane:


SyntaxError:  syntax error, unexpected $end
Capabilities<
             ^
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:477:in
`eval'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:477:in
`handleLine'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/AsyncIO.rb:73:in
`readReady'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:619:in
`eventLoop'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:595:in
`interact'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:1172:in
`main'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClient.rb:44:in
`<main>'
SyntaxError:  syntax error, unexpected $end
Banner<
       ^
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:477:in
`eval'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:477:in
`handleLine'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/AsyncIO.rb:73:in
`readReady'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:619:in
`eventLoop'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:595:in
`interact'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClientBaseModule.rb:1172:in
`main'
/usr/lib/python3.2/site-packages/eric5/DebugClients/Ruby/DebugClient.rb:44:in
`<main>'


----------

I also tried ruby -w to see what information I could gather:


$ ruby -w DebugClientBaseModule.rb 

DebugClientBaseModule.rb:307: warning: shadowing outer local variable - line
DebugClientBaseModule.rb:335: warning: shadowing outer local variable - line
DebugClientBaseModule.rb:772: warning: mismatched indentations at 'end' with
'if' at 767
DebugClientBaseModule.rb:830: warning: shadowing outer local variable - i
DebugClientBaseModule.rb:551: warning: duplicated when clause is ignored
<internal:lib/rubygems/custom_require>:29:in `require': no such file to load --
DebugQuit (LoadError)
	from <internal:lib/rubygems/custom_require>:29:in `require'
	from DebugClientBaseModule.rb:17:in `<main>'


----------

Then I found this post (
http://stackoverflow.com/questions/542845/how-to-rescue-an-eval-in-ruby ) and
decided whatever issue it's having is over my head.
History
Date User Action Args
2011-11-19 09:02:06detlevsetstatus: open -> closed
resolution: will not fix
2011-08-25 17:11:05bdjnksetstatus: pending -> open
message_count: 4.0 -> 5.0
messages: + msg99
2011-08-25 16:58:00detlevsetstatus: open -> pending
message_count: 3.0 -> 4.0
messages: + msg98
2011-08-25 16:51:46bdjnksetstatus: pending -> open
message_count: 2.0 -> 3.0
messages: + msg97
2011-08-25 16:41:43detlevsetstatus: new -> pending
assignedto: detlev
messages: + msg96
message_count: 1.0 -> 2.0
nosy: + detlev
2011-08-23 21:24:25bdjnkcreate